public interface SqlInstancesDemoteMasterRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract InstancesDemoteMasterRequest getBody().google.cloud.sql.v1beta4.InstancesDemoteMasterRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
InstancesDemoteMasterRequest |
The body. |
getBodyOrBuilder()
public abstract InstancesDemoteMasterRequestOrBuilder getBodyOrBuilder().google.cloud.sql.v1beta4.InstancesDemoteMasterRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
InstancesDemoteMasterRequestOrBuilder |
|
getInstance()
public abstract String getInstance()Cloud SQL instance name.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()Cloud SQL instance name.
string instance = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()ID of the project that contains the instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()ID of the project that contains the instance.
string project = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody().google.cloud.sql.v1beta4.InstancesDemoteMasterRequest body = 100;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |